KIP People API (Public)

UpdateUserCurrentStudentInformation

Update a user’s student information for a specific academic year

put

Path Parameters

userIdstring(uuid)required
yearstring(iso-year)required

Year format (YYYY)

Example:2026

Body

application/json

Models.StudentInformation

schoolIdstringrequired

The unique identifier of the school the student is enrolled in. Can be obtained from the /metadata/users/school-options endpoint.

studyLevelstringrequired

The study level of the student. Can be obtained from the /metadata/users/study-level-options endpoint.

academicYearstringrequired

The academic year of the student.

lastYearbooleanrequired

Indicates if the student is in their last year.

Response

The request has succeeded.

put/users/{userId}/profile/student-information/{year}

Body

{ "schoolId": "schoolId", "studyLevel": "studyLevel", "academicYear": "academicYear", "lastYear": false }
 

User Movies

GetUserMovieHistory

Get a user’s movie history

get

Query Parameters

pageinteger(int16)

Default:1

pageSizeinteger(int8)

Default:20

<= 100

Path Parameters

userIdstring(uuid)required

Response

application/json

The request has succeeded.

Models.Responses.MovieHistoryResponse

The request has succeeded.

dataarray[object]required
Show Child Parameters
metaobject
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/{userId}/movies/history
 
application/json

DeleteMovieFromUserHistory

Remove a movie from a user’s movie history

delete

Path Parameters

userIdstring(uuid)required
movieIdstring(uuid)required

Response

There is no content to send for this request, but the headers may be useful.

delete/users/{userId}/movies/history/{movieId}
 

GetUserMovieRecommendations

Get a user’s movie recommendations

get

Query Parameters

pageinteger(int16)

Default:1

pageSizeinteger(int8)

Default:20

<= 100

Path Parameters

userIdstring(uuid)required

Response

application/json

The request has succeeded.

Models.Responses.MovieRecommendationResponse

The request has succeeded.

dataarray[object]required
Show Child Parameters
metaobject
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/{userId}/movies/recommendations
 
application/json